<?php

/**
 * Time language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT	MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */
return [
	'invalidMonth'   => 'الأشهر يجب ان تكون بين 1 و 12. المعطى: {0}',
       'invalidDay'     => 'الأيام يجب ان تكون بين 1 و 31. المعطى: {0}',
       'invalidOverDay' => 'الأيام يجب ان تكون بين 1 و {0}. المعطى: {1}',
	'invalidHours'   => 'الساعات يجب ان تكون بين0 و 23. المعطى: {0}',
	'invalidMinutes' => 'الدقائق يجب ان تكون بين 0 و 59. المعطى: {0}',
	'invalidSeconds' => 'الثواني يجب ان تكون بين 0 و 59. المعطى: {0}',
	'years'          => '{0, plural, =1{# سنة} other{# سنوات}}',
	'months'         => '{0, plural, =1{# شهر} other{# أشهر}}',
	'weeks'          => '{0, plural, =1{# أسبوع} other{# أسابيع}}',
	'days'           => '{0, plural, =1{# يوم} other{# أيام}}',
	'hours'          => '{0, plural, =1{# ساعة} other{# ساعات}}',
	'minutes'        => '{0, plural, =1{# دقيقة} other{# دقائق}}',
	'seconds'        => '{0, plural, =1{# ثانية} other{# ثواني}}',
	'ago'            => 'منذ {0}',
	'inFuture'       => 'خلال {0}',
	'yesterday'      => 'أمس',
	'tomorrow'       => 'غدا',
	'now'            => 'الآن',
];
