<?php

/**
 * Time language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT	MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */

return [
   'invalidMonth'   => 'Monat muss zwischen 1 und 12 sein. Eingabe: {0}',
   'invalidDay'     => 'Tag muss zwischen 1 und 31 sein. Eingabe: {0}',
   'invalidOverDay' => 'Tag muss zwischen 1 und {0} sein. Eingabe: {1}',
   'invalidHours'   => 'Stune muss zwischen 0 und 23 sein. Eingabe: {0}',
   'invalidMinutes' => 'Minute muss zwischen 0 und 59 sein. Eingabe: {0}',
   'invalidSeconds' => 'Sekunde muss zwischen 0 und 59 sein. Eingabe: {0}',
   'years'          => '{0, plural, =1{# Jahr} other{# Jahre}}',
   'months'         => '{0, plural, =1{# Monat} other{# Monate}}',
   'weeks'          => '{0, plural, =1{# Woche} other{# Wochen}}',
   'days'           => '{0, plural, =1{# Tag} other{# Tage}}',
   'hours'          => '{0, plural, =1{# Stunde} other{# Stunden}}',
   'minutes'        => '{0, plural, =1{# Minute} other{# Minuten}}',
   'seconds'        => '{0, plural, =1{# Sekunde} other{# Sekunden}}',
   'ago'            => '{0} her',
   'inFuture'       => 'in {0}',
   'yesterday'      => 'Gestern',
   'tomorrow'       => 'Morgen',
   'now'            => 'Jetzt',
];
