<?php

/**
 * Time language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     Fernán Castro Asensio
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT	MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */
return [
	'invalidMonth'   => 'Los meses deben estar entre 1 y 12. Establecido: {0}',
    'invalidDay'     => 'Los días deben estar entre 1 y 31. Establecido: {0}',
    'invalidOverDay' => 'Los días deben estar entre 1 y {0}. Establecido: {1}',
	'invalidHours'   => 'Las horas deben estar entre 0 y 23. Establecido: {0}',
	'invalidMinutes' => 'Los minutos deben estar entre 0 y 59. Establecido: {0}',
	'invalidSeconds' => 'Los segundos deben estar entre 0 y 59. Establecido: {0}',
	'years'          => '{0, plural, =1{# year} other{# years}}',
	'months'         => '{0, plural, =1{# month} other{# months}}',
	'weeks'          => '{0, plural, =1{# week} other{# weeks}}',
	'days'           => '{0, plural, =1{# day} other{# days}}',
	'hours'          => '{0, plural, =1{# hour} other{# hours}}',
	'minutes'        => '{0, plural, =1{# minute} other{# minutes}}',
	'seconds'        => '{0, plural, =1{# second} other{# seconds}}',
	'ago'            => '{0} atrás',
	'inFuture'       => 'en {0}',
	'yesterday'      => 'Ayer',
	'tomorrow'       => 'Mañana',
	'now'            => 'Ahora',
];
