<?php
/**
 * Image language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT	MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */

return [
   'sourceImageRequired'    => 'لطفا در تنظیمات یک عکس مرجع انتخاب کنید.',
   'gdRequired'             => 'کتابخانه‌ی GD برای استفاده از این قابلیت نیاز است.',
   'gdRequiredForProps'     => 'برای تشخیص خصوصیات عکس، سرور شما باید از کتابخانه‌ی عکس GD پشتیبانی کند.',
   'gifNotSupported'        => 'معمولا تصاویر GIF به دلایل محدودیت‌های لایسنس پشتیبانی نمی‌شوند. به جای آن می‌توانید از فرمت‌های JPG یا PNG استفاده کنید.',
   'jpgNotSupported'        => 'تصاویر JPG پشتیبانی نمی‌شونند.',
   'pngNotSupported'        => 'تصاویر PNG پشتیبانی نمی‌شونند.',
   'unsupportedImageCreate' => 'برای پردازش این نوع تصاویر، سرور شما باید از GD پشتیبانی کند.',
   'jpgOrPngRequired'       => 'تنظیمان انتابی شما برای تغییر اندازه‌ی عکس فقط برای فایل‌های JPEG و PNG قابل انجام است.',
   'rotateUnsupported'      => 'بر اساس تنظیمات سرور شما، امکان چرخش تصویر وجود ندارد.',
   'libPathInvalid'         => 'نشانی کتابخانه‌ی عکس شما صحیح نیست. لطفا در تنظیمات، مسیر درست را انتخاب کنید. {0, string)',
   'imageProcessFailed'     => 'پردازش تصویر با مشکل روبرو شد. لطفا مطمئن شوید که سرور تنیمات انتخابی شما را پشتیبانی می‌کند و مسیر کتابخانه‌ی عکس صحیح است.',
   'rotationAngleRequired'  => 'برای چرخش تصویر، لطفا زاویه‌ی چرخش را ارائه کنید.',
   'invalidPath'            => 'نشانی تصویر انتخابی شما صحیح نیست.',
   'copyFailed'             => 'کپی کردن تصویر با مشکل روبرو شد.',
   'missingFont'            => 'برای استفاده، لطفا یک فونت انتخاب کنید.',
   'saveFailed'             => 'مشکل در ذخیره کردن تصویر. لطفا مطمئن شوید که فایل و شاخه‌ی مورد نظر قابل نوشتن هستند.',
   'invalidDirection'       => 'تقارن فقط می‌تواند افقی (`vertical`) یا عمودی (`horizontal`)) باشد. مقدار ارائه شده: {0}',
   'exifNotSupported'       => 'در نسخه‌ی PHP نصب شده‌ی شما، EXIF پشتیبانی نمی‌شود.',
];