<?php

/**
 * Time language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT	MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */

return [
   'invalidMonth'   => 'ماه باید بین 1 تا 12 باشد. مقدار وارد شده: {0}',
   'invalidDay'     => 'روز باید بین 1 تا 31 باشد. مقدار وارد شده: {0}',
   'invalidOverDay' => 'روز باید بین 1 تا {0} باشد. مقدار وارد شده: {1}',
   'invalidHours'   => 'ساعت باید بین 0 تا 23 باشد. مقدار وارد شده: {0}',
   'invalidMinutes' => 'دقیقه باید بین 0 تا 59 باشد. مقدار وارد شده: {0}',
   'invalidSeconds' => 'ثانیه باید بین 0 تا 59 باشد. مقدار وارد شده: {0}',
   'years'          => '{0, plural, =1{# سال} other{# سال}}',
   'months'         => '{0, plural, =1{# ماه} other{# ماه}}',
   'weeks'          => '{0, plural, =1{# هفته} other{# هفته}}',
   'days'           => '{0, plural, =1{# روز} other{# روز}}',
   'hours'          => '{0, plural, =1{# ساعت} other{# ساعت}}',
   'minutes'        => '{0, plural, =1{# دقیقه} other{# دقیقه}}',
   'seconds'        => '{0, plural, =1{# ثانیه} other{# ثانیه}}',
   'ago'            => '{0} پیش',
   'inFuture'       => 'در {0}',
   'yesterday'      => 'دیروز',
   'tomorrow'       => 'فردا',
   'now'            => 'هیمن حالا',
];