<?php

/**
 * Time language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT	MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */

return [
   'invalidMonth'   => 'Les mois doivent être entre 1 et 12. Déclaré : {0}',
   'invalidDay'     => 'Les jours doivent être entre 1 et 31. Déclaré : {0}',
   'invalidOverDay' => 'Les jours doivent être entre 1 et {0}. Déclaré : {1}',
   'invalidHours'   => 'Les heures doivent être entre 0 et 23. Déclaré : {0}',
   'invalidMinutes' => 'Les minutes doivent être entre 0 et 59. Déclaré : {0}',
   'invalidSeconds' => 'Les secondes doivent être entre 0 et 59. Déclaré : {0}',
   'years'          => '{0, plural, =1{# année} other{# années}}',
   'months'         => '{0, plural, =1{# mois} other{# mois}}',
   'weeks'          => '{0, plural, =1{# semaine} other{# semaines}}',
   'days'           => '{0, plural, =1{# jour} other{# jours}}',
   'hours'          => '{0, plural, =1{# heure} other{# heures}}',
   'minutes'        => '{0, plural, =1{# minute} other{# minutes}}',
   'seconds'        => '{0, plural, =1{# seconde} other{# secondes}}',
   'ago'            => 'depuis {0}',
   'inFuture'       => 'dans {0}',
   'yesterday'      => 'Hier',
   'tomorrow'       => 'Demain',
   'now'            => 'En ce moment',
];
