<?php

/**
 * Time language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT  MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */

return [
   'invalidMonth'   => '"월"은 1에서 12가 되어야 합니다. 지정한 값: {0}', // 'Months must be between 1 and 12. Given: {0}',
   'invalidDay'     => '"일"은 1에서 31이 되어야 합니다. 지정한 값: {0}', // 'Days must be between 1 and 31. Given: {0}',
   'invalidOverDay' => '"일"은 1에서 {0}경우가 되어야 합니다. 지정한 값: {1}', // 'Days must be between 1 and {0}. Given: {1}',
   'invalidHours'   => '"시간"은 0에서 23이 되어야 합니다. 지정한 값: {0}', // 'Hours must be between 0 and 23. Given: {0}',
   'invalidMinutes' => '"분"은 0에서 59가 되어야 합니다. 지정한 값: {0}', // 'Minutes must be between 0 and 59. Given: {0}',
   'invalidSeconds' => '"초"는 0에서 59가 되어야 합니다. 지정한 값: {0}', // 'Seconds must be between 0 and 59. Given: {0}',
   'years'          => '{0, plural, =1{# year} other{# years}}',
   'months'         => '{0, plural, =1{# month} other{# months}}',
   'weeks'          => '{0, plural, =1{# week} other{# weeks}}',
   'days'           => '{0, plural, =1{# day} other{# days}}',
   'hours'          => '{0, plural, =1{# hour} other{# hours}}',
   'minutes'        => '{0, plural, =1{# minute} other{# minutes}}',
   'seconds'        => '{0, plural, =1{# second} other{# seconds}}',
   'ago'            => '과거 {0} 전에', // '{0} ago',
   'inFuture'       => '앞으로 {0} 이내에', // 'in {0}',
   'yesterday'      => '어제', // 'Yesterday',
   'tomorrow'       => '내일', // 'Tomorrow',
   'now'            => '현재', // 'Just now',
];
