<?php

/**
 * Image language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT  MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */

return [
   'sourceImageRequired'    => 'നിങ്ങളുടെ മുൻ‌ഗണനകളിൽ ഒരു ഉറവിട ചിത്രം വ്യക്തമാക്കണം.',
   'gdRequired'             => 'ഈ സവിശേഷത ഉപയോഗിക്കുന്നതിന് ജിഡി ഇമേജ് ലൈബ്രറി ആവശ്യമാണ്.',
   'gdRequiredForProps'     => 'ഇമേജ് സവിശേഷതകൾ നിർണ്ണയിക്കാൻ നിങ്ങളുടെ സെർവർ ജിഡി ഇമേജ് ലൈബ്രറിയെ പിന്തുണയ്‌ക്കണം.',
   'gifNotSupported'        => 'ലൈസൻസിംഗ് നിയന്ത്രണങ്ങൾ കാരണം GIF ഇമേജുകൾ പലപ്പോഴും പിന്തുണയ്ക്കുന്നില്ല. പകരം നിങ്ങൾക്ക് JPG അല്ലെങ്കിൽ PNG ഇമേജുകൾ ഉപയോഗിക്കേണ്ടിവരും.',
   'jpgNotSupported'        => 'JPG ഇമേജുകൾ പിന്തുണയ്‌ക്കുന്നില്ല.',
   'pngNotSupported'        => 'പി‌എൻ‌ജി ചിത്രങ്ങൾ‌ പിന്തുണയ്‌ക്കുന്നില്ല.',
   'fileNotSupported'       => 'നൽകിയ ഫയൽ പിന്തുണയ്‌ക്കുന്ന ഇമേജ് തരമല്ല.',
   'unsupportedImageCreate' => 'ഇത്തരത്തിലുള്ള ഇമേജ് പ്രോസസ്സ് ചെയ്യുന്നതിന് ആവശ്യമായ ജിഡി ഫംഗ്ഷനെ നിങ്ങളുടെ സെർവർ പിന്തുണയ്ക്കുന്നില്ല.',
   'jpgOrPngRequired'       => 'നിങ്ങളുടെ മുൻ‌ഗണനകളിൽ വ്യക്തമാക്കിയ ഇമേജ് വലുപ്പം മാറ്റൽ പ്രോട്ടോക്കോൾ JPEG അല്ലെങ്കിൽ PNG ഇമേജ് തരങ്ങളിൽ മാത്രമേ പ്രവർത്തിക്കൂ.',
   'rotateUnsupported'      => 'ഇമേജ് റൊട്ടേഷൻ നിങ്ങളുടെ സെർവർ പിന്തുണയ്ക്കുന്നതായി തോന്നുന്നില്ല.',
   'libPathInvalid'         => 'നിങ്ങളുടെ ഇമേജ് ലൈബ്രറിയിലേക്കുള്ള പാത ശരിയല്ല. നിങ്ങളുടെ ഇമേജ് മുൻ‌ഗണനകളിൽ ശരിയായ പാത്ത് സജ്ജമാക്കുക. {0, string)',
   'imageProcessFailed'     => 'ഇമേജ് പ്രോസസ്സിംഗ് പരാജയപ്പെട്ടു. തിരഞ്ഞെടുത്ത പ്രോട്ടോക്കോളിനെ നിങ്ങളുടെ സെർവർ പിന്തുണയ്ക്കുന്നുവെന്നും നിങ്ങളുടെ ഇമേജ് ലൈബ്രറിയിലേക്കുള്ള പാത ശരിയാണെന്നും ദയവായി പരിശോധിക്കുക. ',
   'rotationAngleRequired'  => 'ചിത്രം തിരിക്കാൻ ഭ്രമണത്തിന്റെ ഒരു ആംഗിൾ ആവശ്യമാണ്.',
   'invalidPath'            => 'ചിത്രത്തിലേക്കുള്ള പാത ശരിയല്ല.',
   'copyFailed'             => 'ഇമേജ് കോപ്പി പതിവ് പരാജയപ്പെട്ടു.',
   'missingFont'            => 'ഉപയോഗിക്കാൻ ഒരു ഫോണ്ട് കണ്ടെത്താനായില്ല.',
   'saveFailed'             => 'ചിത്രം സംരക്ഷിക്കാനായില്ല. ചിത്രവും ഫയൽ ഡയറക്ടറിയും എഴുതാനാകുമെന്ന് ഉറപ്പാക്കുക.',
   'invalidDirection'       => 'ഫ്ലിപ്പ് ദിശ `vertical` അല്ലെങ്കിൽ `horizontal` മായി മാത്രമേ ആകാവൂ. നൽകിയിരിക്കുന്നത്: {0}',
   'exifNotSupported'       => 'എക്സിഫ് ഡാറ്റ വായിക്കുന്നത് ഈ പി‌എച്ച്പി ഇൻസ്റ്റാളേഷൻ പിന്തുണയ്ക്കുന്നില്ല.',
];
