<?php

/**
 * Time language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT	MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */

return [
   'invalidMonth'   => 'Måneden må være mellom 1 og 12. : {0}',
   'invalidDay'     => 'Dagen må være mellom 1 og 31. : {0}',
   'invalidOverDay' => 'Tagg må være mellom 1 og {0}. Inndata: {1}',
   'invalidHours'   => 'Timer må være mellom 0 og 23. Inndata: {0}',
   'invalidMinutes' => 'Minutt må være mellom 0 og 59. Inndata: {0}',
   'invalidSeconds' => 'Sekunder må være mellom 0 og 59. Inndata: {0}',
   'years'          => '{0, plural, =1{# år} other{# år}}',
   'months'         => '{0, plural, =1{# måned} other{# måneder}}',
   'weeks'          => '{0, plural, =1{# uke} other{# uker}}',
   'days'           => '{0, plural, =1{# dag} other{# dager}}',
   'hours'          => '{0, plural, =1{# time} other{# timer}}',
   'minutes'        => '{0, plural, =1{# minutt} other{# minutter}}',
   'seconds'        => '{0, plural, =1{# sekund} other{# sekunder}}',
   'ago'            => '{0} siden',
   'inFuture'       => 'i {0}',
   'yesterday'      => 'i går',
   'tomorrow'       => 'i morgen',
   'now'            => 'nå',
];
