<?php

/**
 * Time language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT	MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */
return [
	'invalidMonth'   => 'Miesiące muszą mieć wartość od 1 do 12. Biorąc pod uwagę: {0}',
       'invalidDay'     => 'Dni muszą należeć do przedziału od 1 do 31. Biorąc pod uwagę: {0}',
       'invalidOverDay' => 'Dni muszą wynosić od 1 do {0}. Biorąc pod uwagę: {1}',
	'invalidHours'   => 'Godziny muszą wynosić od 0 do 23. Biorąc pod uwagę: {0}',
	'invalidMinutes' => 'Minuty muszą mieścić się w przedziale od 0 do 59. Biorąc pod uwagę: {0}',
	'invalidSeconds' => 'Sekundy muszą zawierać się między 0 a 59. Biorąc pod uwagę: {0}',
	'years'          => '{0, plural, =1{# rok} other{# lat}}',
	'months'         => '{0, plural, =1{# miesiąc} other{# miesięcy}}',
	'weeks'          => '{0, plural, =1{# tydzień} other{# tygodni}}',
	'days'           => '{0, plural, =1{# dzień} other{# dni}}',
	'hours'          => '{0, plural, =1{# godzina} other{# godzin}}',
	'minutes'        => '{0, plural, =1{# minuta} other{# minut}}',
	'seconds'        => '{0, plural, =1{# sekunda} other{# sekund}}',
	'ago'            => '{0} temu',
	'inFuture'       => 'w {0}',
	'yesterday'      => 'Wczoraj',
	'tomorrow'       => 'Jutro',
	'now'            => 'Przed chwilą',
];
