<?php
/**
 * Time language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT	MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */

return [
	'invalidMonth'   => 'Meses devem ser entre 1 e 12. Dado: {0}',
	'invalidDay'     => 'Dias devem ser entre 1 e 31. Dado: {0}',
	'invalidOverDay' => 'Dias devem ser entre 1 e {0}. Dado: {1}',
	'invalidHours'   => 'Horas devem ser entre 0 e 23. Dado: {0}',
	'invalidMinutes' => 'Minutos devem ser entre 0 e 59. Dado: {0}',
	'invalidSeconds' => 'Segundos devem ser entre 0 e 59. Dado: {0}',
	'years'          => '{0, plural, =1{# ano} other{# anos}}',
	'months'         => '{0, plural, =1{# mês} other{# meses}}',
	'weeks'          => '{0, plural, =1{# semana} other{# semanas}}',
	'days'           => '{0, plural, =1{# dia} other{# dias}}',
	'hours'          => '{0, plural, =1{# hora} other{# horas}}',
	'minutes'        => '{0, plural, =1{# minuto} other{# minutos}}',
	'seconds'        => '{0, plural, =1{# segundo} other{# segundos}}',
	'ago'            => '{0} atrás',
	'inFuture'       => 'em {0}',
	'yesterday'      => 'Ontem',
	'tomorrow'       => 'Amanhã',
	'now'            => 'Agora',
];
