<?php

/**
 * Time language strings.
 *
 * This content is released under the MIT License (MIT)
 *
 * Copyright (c) 2014-2019 British Columbia Institute of Technology
 * Copyright (c) 2019-2020 CodeIgniter Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * @package    CodeIgniter
 * @author     CodeIgniter Dev Team
 * @copyright  2019-2020 CodeIgniter Foundation
 * @license    https://opensource.org/licenses/MIT MIT License
 * @link       https://codeigniter.com
 * @since      Version 4.0.0
 * @filesource
 *
 * @codeCoverageIgnore
 */

return [
   'invalidMonth'   => 'Должен быть указан месяц между 1 и 12. Указано: {0}',
   'invalidDay'     => 'Должен быть указан день между 1 и 31. Указано: {0}',
   'invalidOverDay' => 'Дни должны быть от 1 до {0}. Указано: {1}.',
   'invalidHours'   => 'Часы должны быть указаны между 0 и 23. Указано: {0}.',
   'invalidMinutes' => 'Минуты должны быть указаны между 0 и 59. Указано: {0}.',
   'invalidSeconds' => 'Секунды должны быть указаны между 0 и 59. Указано: {0}.',
   'years'          => '{0, plural, =1{# год} other{# лет}}',
   'months'         => '{0, plural, =1{# месяц} other{# месяцев}}',
   'weeks'          => '{0, plural, =1{# неделя} other{# недель}}',
   'days'           => '{0, plural, =1{# день} other{# дней}}',
   'hours'          => '{0, plural, =1{# час} other{# часов}}',
   'minutes'        => '{0, plural, =1{# минута} other{# минут}}',
   'seconds'        => '{0, plural, =1{# секунда} other{# секунд}}',
   'ago'            => '{0} назад',
   'inFuture'       => 'в {0}',
   'yesterday'      => 'Вчера',
   'tomorrow'       => 'Завтра',
   'now'            => 'Прямо сейчас',
];
